> For the complete documentation index, see [llms.txt](https://docs.sypht.com/sypht/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sypht.com/sypht/api-docs/api-introduction.md).

# API Introduction

This reference section lays out how to extract unstructured data using our AI products. A Sypht AI product is essentially an intelligent model that extracts a collection of fields from a document. We have a whole range of different AI products that meet different business needs. To learn more about our AI products you can contact us [here](https://www.sypht.com/contact).

Before getting started, you'll need to [signup for a Sypht account](https://www.sypht.com/developer). By signing up you'll gain free trial subscriptions to a handful of our AI products out of the box and you'll be granted API credentials that will enable you to generate a `bearerToken` to access the Sypht API.

### Not a Developer?

You can use our app to start Sypht-ing! No coding required. Check out [app.sypht.com](https://app.sypht.com/).

### AI Products

For a complete list of the AI products offered, visit [app.sypht.com/marketplace](https://app.sypht.com/marketplace). You'll gain a free trial subscription upon signing up.

### How to get started Syphting with our API

In as little as three steps, you can start Sypht-ing.

1. [Getting your bearer token](/sypht/api-docs/authentication/post-authentication-token.md)
2. [Upload a document](/sypht/api-docs/upload-document/post-upload-document.md)
3. [Retrieve results](/sypht/api-docs/results/get-document-results.md)

## Response Codes

### Success

In the responses, Sypht returns these HTTP status codes for successful requests:

| Status   | Description            |
| -------- | ---------------------- |
| `200 OK` | The request succeeeded |

### Error

| Status             | Message             | Cause                                                                             |
| ------------------ | ------------------- | --------------------------------------------------------------------------------- |
| `400 Bad Request`  | Validation errors   | A descriptive message will be returned to explain the specific error encountered. |
| `401 Unauthorized` | Invalid credentials | Credentials entered are incorrect.                                                |

##

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sypht.com/sypht/api-docs/api-introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
